aboutsummaryrefslogtreecommitdiff
path: root/ci/install.sh
diff options
context:
space:
mode:
authorZyX <kp-pav@yandex.ru>2017-12-03 16:49:30 +0300
committerZyX <kp-pav@yandex.ru>2017-12-03 16:49:30 +0300
commitc49e22d3964d6c7ae1c24e8ad01b5fec4ca40b57 (patch)
treeb7e59c416d1435725c65f8952b6e55c70544d97e /ci/install.sh
parent62108c3b0be46936c83f6d4c98b44ceb5e6f77fd (diff)
parent27a577586eace687c47e7398845178208cae524a (diff)
downloadrneovim-c49e22d3964d6c7ae1c24e8ad01b5fec4ca40b57.tar.gz
rneovim-c49e22d3964d6c7ae1c24e8ad01b5fec4ca40b57.tar.bz2
rneovim-c49e22d3964d6c7ae1c24e8ad01b5fec4ca40b57.zip
Merge branch 'master' into s-dash-stdin
Diffstat (limited to 'ci/install.sh')
-rwxr-xr-xci/install.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/ci/install.sh b/ci/install.sh
new file mode 100755
index 0000000000..c8a0c8825d
--- /dev/null
+++ b/ci/install.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+if [[ "${CI_TARGET}" == lint ]]; then
+ exit
+fi
+
+if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
+ brew install gettext
+ brew reinstall -s libtool
+fi
+
+# Use default CC to avoid compilation problems when installing Python modules.
+echo "Install neovim module and coveralls for Python 2."
+CC=cc pip2.7 -q install --user --upgrade neovim cpp-coveralls
+
+echo "Install neovim module for Python 3."
+# Allow failure. pyenv pip3 on travis is broken:
+# https://github.com/travis-ci/travis-ci/issues/8363
+CC=cc pip3 -q install --user --upgrade neovim || true
+
+echo "Install neovim RubyGem."
+gem install --no-document --version ">= 0.2.0" neovim